com.ibm.openpages.api.scheduler

## Interface ISchedulerJobInstanceFindOptions

- All Superinterfaces:
    IBaseFindOptions

      public interface ISchedulerJobInstanceFindOptions
      extends IBaseFindOptions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Get category.
    `boolean` | `getIsManual()` Get isManual
    `Id` | `getJobId()` Get Job ID
    `void` | `setCategory(java.lang.String category)` Set the category.
    `void` | `setIsManual(boolean isManual)` Set isManual.
    `void` | `setJobId(Id jobId)` Set Job Id.

    - ### Methods inherited from interface com.ibm.openpages.api.rule.IBaseFindOptions

      `getAndOr, getIncludeTotalCount, getIsPagingOn, getMaxResults, getPageNum, getResultsPerPage, getReturnLastRow, getReturnOnlyCounts, getReturnStartRow, getSortDirection, getSortFieldName, setAndOr, setIncludeTotalCount, setMaxResults, setPageNum, setPagingOn, setResultsPerPage, setReturnLastRow, setReturnOnlyCounts, setReturnStartRow, setSortDirection, setSortFieldName`

- - ### Method Detail

    - #### getJobId

          Id getJobId()

      Get Job ID
      Returns:

    - #### setJobId

          void setJobId(Id jobId)

      Set Job Id.
      Parameters:
        `jobId` -

    - #### getCategory

          java.lang.String getCategory()

      Get category.
      Returns:

    - #### setCategory

          void setCategory(java.lang.String category)

      Set the category.
      Parameters:
        `category` -

    - #### getIsManual

          boolean getIsManual()

      Get isManual
      Returns:

    - #### setIsManual

          void setIsManual(boolean isManual)

      Set isManual.
      Parameters:
        `isManual` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.